Subject: Re: 28.0.50; octave-mode: parse error in debug mode

From: Juang Dse <[email-masked]>
Date: Wed, 31 May 2023 11:35:58 +0200

it is actually simpler. Forget the for-loop and use instead

-------------------
# hoo.m
function hoo ()
pi
endfunction
-------------------

By marking and sending the string 'pi' everything works. But marking
and sending *the entire line* that contains 'pi' executes that line
*twice*. So it must be related to the newline that ends the 'pi' line.

On Fri, Feb 26, 2021 at 2:26 PM Juang Dse <[email-masked]> wrote:
>
> Suppose the file
> -------------------
> # hoo.m
> function hoo ()
>    for j = 1 : 10
>       y(j) = j ;
>    endfor
> endfunction
> -------------------
> is in the search path (e.g. same directory). Then execute
> dbstop hoo
> hoo() ;
>
> from within emacs (octave-send-line twice), and in the file hoo.m mark
> the region of the for-loop, followed by octave-send-region. The
> following error is thrown:
>
> debug> debug> debug>    for j = 1 : 10
>       y(j) = j ;
>    endfor
>
> > > debug> error: parse error:
>
>   syntax error
>
> >>>    endfor
>             ^
>
>
> ------------------------------------------------------------------------------
> In GNU Emacs 28.0.50 (build 1, x86_64-pc-linux-gnu, cairo version 1.17.4)
> Repository revision: 90ac40570280f4f423b55a2d9eea5a44317a66e3
> Repository branch: master
> Windowing system distributor 'The X.Org Foundation', version 11.0.12010000
> System Description: Manjaro Linux
>
> Configured using:
>  'configure --prefix=/opt/emacs --without-docs --with-x-toolkit=no'
>
> Configured features:
> ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ JPEG
> JSON LCMS2 LIBOTF LIBSYSTEMD LIBXML2 M17N_FLT MODULES NOTIFY INOTIFY
> OLDXMENU PDUMPER PNG RSVG SOUND THREADS TIFF X11 XDBE XIM XPM ZLIB
>
>
> Major mode: Octave
>
> Minor modes in effect:
>   tooltip-mode: t
>   global-eldoc-mode: t
>   eldoc-mode: t
>   electric-indent-mode: t
>   mouse-wheel-mode: t
>   tool-bar-mode: t
>   menu-bar-mode: t
>   file-name-shadow-mode: t
>   global-font-lock-mode: t
>   font-lock-mode: t
>   blink-cursor-mode: t
>   auto-composition-mode: t
>   auto-encryption-mode: t
>   auto-compression-mode: t
>   line-number-mode: t
>   transient-mark-mode: t
>
> Load-path shadows:
> None found.
>
> Features:
> (shadow sort mail-extr emacsbug message rmc puny dired dired-loaddefs
> rfc822 mml mml-sec epa derived epg epg-config gnus-util rmail
> rmail-loaddefs auth-source cl-seq eieio eieio-core cl-macs
> eieio-loaddefs password-cache json map time-date subr-x seq byte-opt gv
> bytecomp byte-compile cconv mm-decode mm-bodies mm-encode mail-parse
> rfc2231 mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045
> ietf-drums mm-util mail-prsvr mail-utils compile text-property-search
> cc-mode cc-fonts cc-guess cc-menus cc-cmds cc-styles cc-align cc-engine
> cc-vars cc-defs cl-loaddefs cl-lib octave smie easymenu comint
> ansi-color ring iso-transl tooltip eldoc electric uniquify ediff-hook
> vc-hooks lisp-float-type mwheel term/x-win x-win term/common-win x-dnd
> tool-bar dnd fontset image regexp-opt fringe tabulated-list replace
> newcomment text-mode elisp-mode lisp-mode prog-mode register page
> tab-bar menu-bar rfn-eshadow isearch timer select scroll-bar mouse
> jit-lock font-lock syntax facemenu font-core term/tty-colors frame
> minibuffer cl-generic cham georgian utf-8-lang misc-lang vietnamese
> tibetan thai tai-viet lao korean japanese eucjp-ms cp51932 hebrew greek
> romanian slovak czech european ethiopic indian cyrillic chinese
> composite charscript charprop case-table epa-hook jka-cmpr-hook help
> simple abbrev obarray cl-preloaded nadvice button loaddefs faces
> cus-face macroexp files window text-properties overlay sha1 md5 base64
> format env code-pages mule custom widget hashtable-print-readable
> backquote threads dbusbind inotify lcms2 dynamic-setting
> system-font-setting font-render-setting cairo x multi-tty
> make-network-process emacs)